

// Zuordnung Nennweite zu Manteldurchmesser für "Vorisoliert"
Mantel=new Array();
Mantel['ID_15']='';
Mantel['ID_20']='ID_90=90';
Mantel['ID_25']='ID_90=90';
Mantel['ID_32']='ID_110=110';
Mantel['ID_40']='ID_110=110';
Mantel['ID_50']='ID_125=125';
Mantel['ID_65']='ID_140=140|ID_160=160';
Mantel['ID_80']='ID_160=160|ID_180=180';
Mantel['ID_100']='ID_200=200';
Mantel['ID_125']='ID_200=200|ID_225=225';
Mantel['ID_150']='ID_250=250';
Mantel['ID_200']='ID_315=315|ID_355=355|ID_400=400';
Mantel['ID_250']='ID_400=400|ID_450=450';
Mantel['ID_300']='ID_450=450';
Mantel['ID_350']='ID_500=500';
Mantel['ID_400']='ID_560=560|ID_600=600';
Mantel['ID_450']='ID_630=630';
Mantel['ID_500']='ID_670=670';
Mantel['ID_550']='ID_710=710';
Mantel['ID_600']='ID_800=800';
Mantel['ID_700']='';
Mantel['ID_800']='';
Mantel['ID_900']='';
Mantel['ID_1000']='';


function setAussendurch()
{
	document.getElementById('IDC_AUSSENDURCH_COMBO').selectedIndex = document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex;
	setMantel();
}

function setNennweite()
{
	document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex = document.getElementById('IDC_AUSSENDURCH_COMBO').selectedIndex;
	setMantel();
}

function setMantel()
{
	selectedElement = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	if (selectedElement == 'IDC_VORISOLIERT')
	{
		DN = document.getElementById('IDC_NENNWEITE_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].value;
		newitems = Mantel[DN];
	}
	else
		newitems = '';
	//target_element = document.getElementById('IDC_MANTELDURCH_COMBO');
	//target_element.setAttribute("items", newitems);
	dialog.IDC_MANTELDURCH_COMBO.setNewItemList( newitems );
	initCombobox('IDC_MANTELDURCH_COMBO');
}

function setWert_DN_RAD()
{
	DN = document.getElementById('IDC_NENNWEITE_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].value;
	DN = DN.replace(/ID_/,'');
//	alert(DN);

       	RAD = document.getElementById('IDC_AUSSENDURCH_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].innerHTML;
        RAD = RAD.replace(/ mm/,'');
//      alert(RAD);
}

function setWert_DAEMMD()
{

	DerAuswahlweg = document.getElementById('auswahlweg').value;
	if (DerAuswahlweg == 'AUSWAHL_TYP')
		ISOLIERDICKE = 90;
}

function checkLagerArtKlemmsys()
{
//	alert("checkLagerArtKlemmsys()");
	selectedPart = document.getElementById('IDC_PROFILART_COMBO').options[document.getElementById('IDC_PROFILART_COMBO').selectedIndex].value;

//	componentEnable('IDC_LAGERFUSSBREITE_COMBO');
	if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK_K').checked == false)
	{
		document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').selectedIndex = 0;
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		componentDisable('IDC_ABHEBESICHERUNG_4X_CHECK');
		fussbr_labelVisibility = 'hidden';
		fussbr_comboVisibility = 'hidden';
		sonderbr_checkVisibility = 'hidden';
		sonderbr_editVisibility = 'hidden';
	}
	else
	{
		fussbr_labelVisibility = 'visible';
		fussbr_comboVisibility = 'visible';
		sonderbr_checkVisibility = 'hidden';  // z.Zeit immer unsichtbar
// -----------------------------------------------------------------------------
// Soderbreite zur zeit nicht wählbar
                 componentEnable('IDC_SONDERBREITE_CHECK_K');
                 document.getElementById('IDC_SONDERBREITE_CHECK_K').checked = false
		componentDisable('IDC_SONDERBREITE_CHECK_K');
// -----------------------------------------------------------------------------

		if (document.getElementById('IDC_SONDERBREITE_CHECK_K').checked == false)
		{
			fussbr_labelVisibility = 'visible';
			fussbr_comboVisibility = 'visible';
			sonderbr_editVisibility = 'hidden';
		}
		else
		{
			fussbr_labelVisibility = 'visible';
			fussbr_comboVisibility = 'hidden';
			sonderbr_editVisibility = 'visible';
		}
	}

	selectedLart = document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').options[document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').selectedIndex].value;

	if (selectedLart == 'ID_LOSLAGER')
	{
		componentEnable('IDC_ABHEBESICHERUNG_CHECK_K');
		document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked = false;
		componentDisable('IDC_ABHEBESICHERUNG_CHECK_K');
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = false;
		componentDisable('IDC_ABHEBESICHERUNG_4X_CHECK');
	}
	else
		componentEnable('IDC_ABHEBESICHERUNG_CHECK_K');

	if ((document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked == false) ||
		(selectedPart == 'U_PROFIL') || (selectedPart == 'L_PROFIL_G') || (selectedPart == 'L_PROFIL_U'))
	{
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = false;
		componentDisable('IDC_ABHEBESICHERUNG_4X_CHECK');
	}
	else
     {
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK_K').checked == true)
		{
			document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = true;
		}
     }

	document.getElementById('IDC_LAGERFUSSBREITE_LABEL').style.visibility = fussbr_labelVisibility;
	document.getElementById('IDC_LAGERFUSSBREITE_COMBO').style.visibility = fussbr_comboVisibility;
	document.getElementById('IDC_SONDERBREITE_K_LABEL').style.visibility = sonderbr_checkVisibility;
	document.getElementById('IDC_SONDERBREITE_CHECK_K').style.visibility = sonderbr_checkVisibility;
	document.getElementById('IDC_SONDERBREITE_EDIT').style.visibility = sonderbr_editVisibility;
	document.getElementById('IDC_SONDERBREITE_EINHEIT').style.visibility = sonderbr_editVisibility;

	checkBildKlemmsys();
}

function BeiClickAbhebesicherungKlemmsys()
{
	if ((document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked == false) ||
		(selectedPart == 'U_PROFIL') || (selectedPart == 'L_PROFIL_G') || (selectedPart == 'L_PROFIL_U'))
	{
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = false;
		componentDisable('IDC_ABHEBESICHERUNG_4X_CHECK');
	}
	else
	{
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK_K').checked == true)
		{
			document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = true;
		}
	}
}

function BeiClickGleitunterlageKlemmsys()
{
	if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK_K').checked == false)
	{
		document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').selectedIndex = 0;
		componentEnable('IDC_ABHEBESICHERUNG_CHECK_K');
		componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
		if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked == false)
		{
			document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = false;
			componentDisable('IDC_ABHEBESICHERUNG_4X_CHECK');
		}
		fussbr_labelVisibility = 'hidden';
		fussbr_comboVisibility = 'hidden';
		sonderbr_checkVisibility = 'hidden';
		sonderbr_editVisibility = 'hidden';
	}
	else
	{
         // -----------------------------------------------------------------------------
// Soderbreite zur Zeit nicht wählbar
                 componentEnable('IDC_SONDERBREITE_CHECK_K');
                 document.getElementById('IDC_SONDERBREITE_CHECK_K').checked = false
		componentDisable('IDC_SONDERBREITE_CHECK_K');
// -----------------------------------------------------------------------------
		if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked == true)
		{
			componentEnable('IDC_ABHEBESICHERUNG_4X_CHECK');
			if ((selectedPart == 'U_PROFIL') || (selectedPart == 'L_PROFIL_G') || (selectedPart == 'L_PROFIL_U'))
			{
				document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = false;
				componentDisable('IDC_ABHEBESICHERUNG_4X_CHECK');
			}
			else
				document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked = true;
		}
		fussbr_labelVisibility = 'visible';
		fussbr_comboVisibility = 'visible';
		sonderbr_editVisibility = 'hidden';
		sonderbr_checkVisibility = 'hidden';  // z.Zeit unsichtbar
		if (document.getElementById('IDC_SONDERBREITE_CHECK_K').checked == false)
		{
			fussbr_labelVisibility = 'visible';
			fussbr_comboVisibility = 'visible';
			sonderbr_editVisibility = 'hidden';
		}
		else
		{
			fussbr_labelVisibility = 'visible';
			fussbr_comboVisibility = 'hidden';
			sonderbr_editVisibility = 'hidden';  // z.Zeit unsichtbar
		}

	}

	document.getElementById('IDC_LAGERFUSSBREITE_LABEL').style.visibility = fussbr_labelVisibility;
	document.getElementById('IDC_LAGERFUSSBREITE_COMBO').style.visibility = fussbr_comboVisibility;
	document.getElementById('IDC_SONDERBREITE_K_LABEL').style.visibility = sonderbr_checkVisibility;
	document.getElementById('IDC_SONDERBREITE_CHECK_K').style.visibility = sonderbr_checkVisibility;
	document.getElementById('IDC_SONDERBREITE_EDIT').style.visibility = sonderbr_editVisibility;
	document.getElementById('IDC_SONDERBREITE_EINHEIT').style.visibility = sonderbr_editVisibility;
}

function BeiClickSonderbreiteKlemmsys()
{
	if (document.getElementById('IDC_SONDERBREITE_CHECK_K').checked == false)
	{
		fussbr_labelVisibility = 'visible';
		fussbr_comboVisibility = 'visible';
		sonderbr_editVisibility = 'hidden';
	}
	else
	{
		fussbr_labelVisibility = 'visible';
		fussbr_comboVisibility = 'hidden';
		sonderbr_editVisibility = 'visible';
	}
	document.getElementById('IDC_LAGERFUSSBREITE_LABEL').style.visibility = fussbr_labelVisibility;
	document.getElementById('IDC_LAGERFUSSBREITE_COMBO').style.visibility = fussbr_comboVisibility;
	document.getElementById('IDC_SONDERBREITE_EDIT').style.visibility = sonderbr_editVisibility;
	document.getElementById('IDC_SONDERBREITE_EINHEIT').style.visibility = sonderbr_editVisibility;
}

function checkLagerArt()
{
	DerAuswahlweg = document.getElementById('auswahlweg').value;
//	alert (DerAuswahlweg);	// 'AUSWAHL_TYP' oder 'AUSWAHL_BETRIEB' oder 'AUSWAHL_KLEMMSYSTEM'
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

     if (selectedLart == 'ID_ROHRSTUETZE')
        {
        	document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
          componentDisable('IDC_MANTELDURCH_COMBO');
		manteldmrVisibility = 'hidden';
         }

	if ((selectedLart == 'ID_FUEHRUNG_W2_180') || (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS')
	    || (selectedLart == 'ID_FUEHRUNG_W2_090') || (selectedLart == 'ID_FUEHRUNG_W3') || (selectedLart == 'ID_FUEHRUNG_W4'))
		FuehrungVorh = 1;
	else
		FuehrungVorh = 0;


	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
	{
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
	}
	else
	{
		MEDIUMTEMP	= 20
	}

	if ((selectedLart == 'ID_FESTLAGER') || (selectedLart == 'ID_FESTLAGER_D'))
	{
		if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		{
			VERSCH_WX = parseFloat(document.getElementById('IDC_VALUE_VERSCH_WX').value);
			VERSCH_WY = parseFloat(document.getElementById('IDC_VALUE_VERSCH_WY').value);
			if ((VERSCH_WX != 0) || (VERSCH_WY != 0))
			{
				message=document.getElementById('errorversch_bei_fest').value;
				if(message){ alert(message); }
				document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 0;
			}
		}

		gleitVisibility = 'hidden';
		rohrstVisibility = 'hidden';
		festVisibility = 'visible';
	}
	else if (selectedLart == 'ID_ROHRSTUETZE')
	{
		gleitVisibility = 'hidden';
		rohrstVisibility = 'visible';
		festVisibility = 'hidden';
	}
	else
	{
		gleitVisibility = 'visible';
		rohrstVisibility = 'hidden';
		festVisibility = 'hidden';
	}
//
	if ((selectedLart == 'ID_FUEHRUNGSLAGER') || (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS'))
	{
		if (MEDIUMTEMP > 450)
		{
			message=document.getElementById('errorfuehrungslager_bei_450').value;
			if(message){ alert(message); }
                         if (selectedLart == 'ID_FUEHRUNGSLAGER')
				document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 0;
                         else
                                	document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 8;
		}
		if (DN > 600)
		{
			message=document.getElementById('errorfuehrungslager_bei_DN600').value;
			if(message){ alert(message); }
                         if (selectedLart == 'ID_FUEHRUNGSLAGER')
				document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 0;
                         else
                                	document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 8;
		}

		if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		{
			VERSCH_WX = parseFloat(document.getElementById('IDC_VALUE_VERSCH_WX').value);
			if (VERSCH_WX != 0)
			{
				message=document.getElementById('errorversch_bei_fuer').value;
				if(message){ alert(message); }
                                 if (selectedLart == 'ID_FUEHRUNGSLAGER')
					document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 0;
                         	else
                                		document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 4;
			}
		}
	}

	if ((selectedLart == 'ID_FUEHRUNG_W2_090') || (selectedLart == 'ID_FUEHRUNG_W3') || (selectedLart == 'ID_FUEHRUNG_W4'))
	{
		if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		{
			VERSCH_WX = parseFloat(document.getElementById('IDC_VALUE_VERSCH_WX').value);
			if (VERSCH_WX != 0)
			{
				message=document.getElementById('errorversch_bei_fuer').value;
				if(message){ alert(message); }
				document.getElementById('IDC_LAGERART_COMBO').selectedIndex = 4;
			}
		}
	}

	if (FuehrungVorh == 1)
	{
		if ((selectedIso == 'IDC_VORISOLIERT') || (selectedIso == 'IDC_UNGEDAEMMT') || (selectedIso == 'IDC_KAELTEGEDAEMMT'))
		{
			message=document.getElementById('errordaemm_Fuehrung').value;
			if(message){ alert(message); }
			document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
			selectedIso = 'IDC_WAERMEGEDAEMMT';
			manteldmrVisibility = 'hidden';
		}
		else
			manteldmrVisibility = 'hidden';
	}

	if (selectedIso == 'IDC_VORISOLIERT')
     {
        if ((selectedLart != 'ID_ROHRSTUETZE') && (selectedLart != 'ID_FESTLAGER_D') && (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == false))
	   {
		 componentEnable('IDC_MANTELDURCH_COMBO');
		 manteldmrVisibility = 'visible';
	   }
	   else
	   {
        	document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
	   	componentDisable('IDC_MANTELDURCH_COMBO');
	   	manteldmrVisibility = 'hidden';
	   }
     }
     else
     {
	   	componentDisable('IDC_MANTELDURCH_COMBO');
	   	manteldmrVisibility = 'hidden';
	}

	if ((selectedLart == 'ID_LOSLAGER') && (selectedIso == 'IDC_WAERMEGEDAEMMT' )
		&& (DN > 800) && (selectedGleit == 'ID_REIBUNGSARM'))
	{
		message=document.getElementById('errorreibungsarmgleitend_DN800').value;
		if(message){ alert(message); }
		document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 0;
	}


// 	Sonderdurchmesser z.Zt. immer deaktiviert:
//	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
//	{
//		document.getElementById('IDC_SONDERDURCH_CHECK').checked = false;
//		componentDisable('IDC_SONDERDURCH_CHECK');
//		componentDisable('IDC_AUSSENDURCH_EDIT');
//		componentDisable('IDC_AUSSENDURCH_EINHEIT_COMBO');
//	}

// 	Schellen gedreht z.Zt. immer deaktiviert:
//	document.getElementById('IDC_SCHELLEN_GEDREHT_CHECK').checked = false;
//	componentDisable('IDC_SCHELLEN_GEDREHT_CHECK');

	// Jetzt das Abhebesicherungs-Thema:
	componentEnable('IDC_ABHEBESICHERUNG_CHECK');
	if ((selectedLart == 'ID_LOSLAGER') || (FuehrungVorh == 1))
	{
		document.getElementById('IDC_ABHEBESICHERUNG_CHECK').checked = false;
		componentDisable('IDC_ABHEBESICHERUNG_CHECK');
	}
	else
	{
		document.getElementById('IDC_ABHEBESICHERUNG_CHECK').checked = true;
		componentDisable('IDC_ABHEBESICHERUNG_CHECK');
	}

	document.getElementById('IDC_GLEIT_LABEL').style.visibility = gleitVisibility;
	document.getElementById('IDC_GLEIT_COMBO').style.visibility = gleitVisibility;
	document.getElementById('IDC_FEST_LABEL').style.visibility = festVisibility;
	document.getElementById('IDC_FEST_COMBO').style.visibility = festVisibility;
	document.getElementById('IDC_ROHRST_LABEL').style.visibility = rohrstVisibility;
	document.getElementById('IDC_ROHRST_COMBO').style.visibility = rohrstVisibility;

	document.getElementById('IDC_MANTELDURCH_LABEL').style.visibility = manteldmrVisibility;
	document.getElementById('IDC_MANTELDURCH_COMBO').style.visibility = manteldmrVisibility;

	checkGleitunterlage();
	checkHoehenverst();
	checkKlemmbar_Schraubbar();
	checkBuegelausf();
	checkEinschellig();
//	messageVorisoliert();
	messageEinfachGleitend();
	checkBild();
}

function checkGleit()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

//	if (selectedGleit == 'ID_ROLLEND')
//	{
//		message=document.getElementById('errorgleit').value;
//		if(message){ alert(message); }
//		document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 1;
//	}

	if ((selectedLart != 'ID_FESTLAGER') && (selectedLart != 'ID_FESTLAGER_D'))
	{
		if ((selectedGleit == 'ID_REIBUNGSARM') && (DN > 800))
		{
			message=document.getElementById('errorreibungsarmgleitend_DN800').value;
			if(message){ alert(message); }
			document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 0;
		}
	}

	checkHoehenverst();
	checkGleitunterlage();
	checkKlemmbar_Schraubbar();
	checkBuegelausf();
	checkEinschellig();
//	messageVorisoliert();
	messageEinfachGleitend();
	checkBild();
}

function checkBeiClickIso()
{
 	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	setWert_DN_RAD();
     if ((selectedLart == 'ID_LOSLAGER') || (selectedLart == 'ID_FUEHRUNGSLAGER'))
     {
     	if ((selectedIso == 'IDC_UNGEDAEMMT')  && (DN <= 300))
          {
               componentEnable('IDC_GLEITUNTERLAGE_CHECK');
			document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked = true;
          }
          if (selectedIso == 'IDC_WAERMEGEDAEMMT')
          {
               componentEnable('IDC_GLEITUNTERLAGE_CHECK');
			document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked = false;
          }
     }
     checkBild();
}

function checkIsolierung()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if ((selectedLart == 'ID_FUEHRUNG_W2_180') || (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS')
	    || (selectedLart == 'ID_FUEHRUNG_W2_090') || (selectedLart == 'ID_FUEHRUNG_W3') || (selectedLart == 'ID_FUEHRUNG_W4'))
		FuehrungVorh = 1;
	else
		FuehrungVorh = 0;

	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
	{
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
		ISOLIERDICKE 	= parseFloat(document.getElementById('IDC_VALUE_ISOLIERDICKE').value);
	}
	else
	{
		MEDIUMTEMP	= 20
		ISOLIERDICKE 	= 0
	}

	if ( (ISOLIERDICKE > 0) &&  (selectedIso == 'IDC_UNGEDAEMMT') )
	{
		message=document.getElementById('errordaemm_unged').value;
		if(message){ alert(message); }
		document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
		selectedIso = 'IDC_WAERMEGEDAEMMT';
	}

//	if ((selectedIso == 'IDC_UNGEDAEMMT') && (DN > 600))
//	{
//		message=document.getElementById('errordaemm_unged_DN600').value;
//		if(message){ alert(message); }
//	}

//	if (selectedIso == 'IDC_KAELTEGEDAEMMT')
//	{
//		message=document.getElementById('errordaemm').value;
//		if(message){ alert(message); }
//		document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
//		selectedIso = 'IDC_WAERMEGEDAEMMT';
//	}

     if (selectedLart == 'ID_ROHRSTUETZE')
     {
         	document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
     }

	if (selectedIso == 'IDC_VORISOLIERT')
     {
     	if ((selectedLart != 'ID_ROHRSTUETZE') && (selectedLart != 'ID_FESTLAGER_D') && (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == false))
		{
			componentEnable('IDC_MANTELDURCH_COMBO');
			manteldmrVisibility = 'visible';
		}
          else
		{
          	document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
			componentDisable('IDC_MANTELDURCH_COMBO');
			manteldmrVisibility = 'hidden';
		}
     }
	else
	{
		componentDisable('IDC_MANTELDURCH_COMBO');
		manteldmrVisibility = 'hidden';
	}

	if (FuehrungVorh == 1)
	{
		if ((selectedIso == 'IDC_VORISOLIERT') || (selectedIso == 'IDC_UNGEDAEMMT') || (selectedIso == 'IDC_KAELTEGEDAEMMT'))
		{
			message=document.getElementById('errordaemm_Fuehrung').value;
			if(message){ alert(message); }
			document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
			selectedIso = 'IDC_WAERMEGEDAEMMT';
			manteldmrVisibility = 'hidden';
		}
	}

	document.getElementById('IDC_MANTELDURCH_LABEL').style.visibility = manteldmrVisibility;
	document.getElementById('IDC_MANTELDURCH_COMBO').style.visibility = manteldmrVisibility;

	checkHoehenverst();
	checkGleitunterlage();
	checkKlemmbar_Schraubbar();
	checkBuegelausf();
	checkEinschellig();
	setMantel();
//	messageVorisoliert();
	messageEinfachGleitend();
	checkBild();
}

function checkHoehenverst()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
	else
		MEDIUMTEMP	= 20;

	if (((selectedLart == 'ID_FESTLAGER') && (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == true))
	  || (selectedLart == 'ID_FESTLAGER_D'))
	{
		componentEnable('IDC_HOEHENVERSTELLUNG_CHECK');
		document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked = false;
		componentDisable('IDC_HOEHENVERSTELLUNG_CHECK');
	}

	if (((DN <= 600) && (selectedLart == 'ID_FESTLAGER') && (selectedIso == 'IDC_WAERMEGEDAEMMT')
			&& (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == false) && (MEDIUMTEMP <= 300))
		|| ((DN <= 600) && ((selectedLart == 'ID_FUEHRUNGSLAGER') || (selectedLart == 'ID_LOSLAGER'))
			&& (selectedIso == 'IDC_WAERMEGEDAEMMT') && (selectedGleit == 'ID_REIBUNGSARM')))
	{
		componentEnable('IDC_HOEHENVERSTELLUNG_CHECK');
	}
	else
	{
		componentEnable('IDC_HOEHENVERSTELLUNG_CHECK');
		document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked = false;
		componentDisable('IDC_HOEHENVERSTELLUNG_CHECK');
	}
}

function checkGleitunterlage()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if ((selectedLart == 'ID_FESTLAGER') || (selectedLart == 'ID_FESTLAGER_D') ||(selectedGleit == 'ID_EINFACH') || (FuehrungVorh == 1)
		|| ((selectedGleit == 'ID_REIBUNGSARM') && (selectedIso == 'IDC_VORISOLIERT')))
	{
		componentEnable('IDC_GLEITUNTERLAGE_CHECK');
		document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked = false;
		componentDisable('IDC_GLEITUNTERLAGE_CHECK');
	}
	else
	{
		componentEnable('IDC_GLEITUNTERLAGE_CHECK');
		if (((selectedGleit == 'ID_REIBUNGSARM') && (selectedIso == 'IDC_UNGEDAEMMT') && (DN > 300))
			|| (DN > 600))
		{
		componentEnable('IDC_GLEITUNTERLAGE_CHECK');
		document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked = false;
		componentDisable('IDC_GLEITUNTERLAGE_CHECK');
		}
	}
}

function checkGleitunterlageKlemmsys()
{
//	selectedLart = document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').options[document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').selectedIndex].value;

//	componentEnable('IDC_GLEITUNTERLAGE_CHECK');
}

function checkKlemmbar_Schraubbar()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
	else
		MEDIUMTEMP	= 20

	if (((selectedLart == 'ID_LOSLAGER') && ((selectedIso == 'IDC_WAERMEGEDAEMMT') || (selectedIso == 'IDC_VORISOLIERT'))
		&& (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == false)) || (FuehrungVorh == 1)
	 	|| ((selectedLart == 'ID_LOSLAGER') && (selectedIso == 'IDC_UNGEDAEMMT') && (selectedGleit != 'ID_REIBUNGSARM')))
	{
		componentEnable('IDC_KLEMMBAR_CHECK');
		document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
		componentDisable('IDC_KLEMMBAR_CHECK');

		componentEnable('IDC_SCHRAUBBAR_CHECK');
		document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
		componentDisable('IDC_SCHRAUBBAR_CHECK');
	}
	else
	{
		if (selectedLart == 'ID_LOSLAGER')
		{
			componentEnable('IDC_SCHRAUBBAR_CHECK');
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
			componentDisable('IDC_SCHRAUBBAR_CHECK');
			if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == true)
			{
				componentEnable('IDC_KLEMMBAR_CHECK');
				document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
				componentDisable('IDC_KLEMMBAR_CHECK');
			}
			else
			{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
			componentDisable('IDC_KLEMMBAR_CHECK');
			}
		}


	}

	if ((selectedLart == 'ID_FUEHRUNGSLAGER') || (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS'))
	{
		componentEnable('IDC_KLEMMBAR_CHECK');
		document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
		componentDisable('IDC_KLEMMBAR_CHECK');

		componentEnable('IDC_SCHRAUBBAR_CHECK');
		document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
		componentDisable('IDC_SCHRAUBBAR_CHECK');

		if (MEDIUMTEMP	> 450)
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
			componentDisable('IDC_KLEMMBAR_CHECK');
		}
	}

	if (selectedLart == 'ID_FESTLAGER')
	{

		componentEnable('IDC_KLEMMBAR_CHECK');
		componentEnable('IDC_SCHRAUBBAR_CHECK');


		if ( (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == false) &&
		     (document.getElementById('IDC_KLEMMBAR_CHECK').checked == false) )
		{
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
			checkHoehenverst();
		}

		if ((document.getElementById('IDC_KLEMMBAR_CHECK').checked == true) &&
		  (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == true))
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;


		if (DN < 80)
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
			componentDisable('IDC_KLEMMBAR_CHECK');

			componentEnable('IDC_SCHRAUBBAR_CHECK');
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
			componentDisable('IDC_SCHRAUBBAR_CHECK');
		}
		else
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			componentEnable('IDC_SCHRAUBBAR_CHECK');
		}

		if ((MEDIUMTEMP	> 450) || (DN > 600))
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
			componentDisable('IDC_KLEMMBAR_CHECK');

			componentEnable('IDC_SCHRAUBBAR_CHECK');
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = true;
			componentDisable('IDC_SCHRAUBBAR_CHECK');
		}

	}

	if (selectedLart == 'ID_FESTLAGER_D')
	{
		componentEnable('IDC_KLEMMBAR_CHECK');
		document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
		componentDisable('IDC_KLEMMBAR_CHECK');

		componentEnable('IDC_SCHRAUBBAR_CHECK');
		document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = true;
		componentDisable('IDC_SCHRAUBBAR_CHECK');

		checkHoehenverst();
	}
}

function checkBuegelausf()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if (DN <=300)
	{
		if ((selectedLart == 'ID_FESTLAGER') && (selectedIso == 'IDC_UNGEDAEMMT'))
		{
			componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
		}
		else
		{
			if ((selectedLart == 'ID_FUEHRUNGSLAGER') && (selectedGleit == 'ID_REIBUNGSARM')
				&& (selectedIso == 'IDC_UNGEDAEMMT') && (document.getElementById('IDC_EINSCHELLIG_CHECK').checked == false))
			{
			componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked = true;
			componentDisable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			}
			else
			{
			componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked = false;
			componentDisable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			}
		}
	}
	else
	{
		componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
		document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked = false;
		componentDisable('IDC_BUEGELAUSFUEHRUNG_CHECK');
	}
}

function checkEinschellig()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
	else
		MEDIUMTEMP	= 20

	if (((DN > 150) && (selectedIso == 'IDC_WAERMEGEDAEMMT')) || (FuehrungVorh == 1)
		|| (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == true) || (MEDIUMTEMP > 300)
		|| (document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked == true) || (selectedIso == 'IDC_VORISOLIERT'))
	{
		componentEnable('IDC_EINSCHELLIG_CHECK');
		document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
		componentDisable('IDC_EINSCHELLIG_CHECK');
	}
	else
	{
		componentEnable('IDC_EINSCHELLIG_CHECK');
		if (selectedLart != 'ID_FESTLAGER')
		{
			if (selectedIso == 'IDC_UNGEDAEMMT')
			{
				if (selectedGleit == 'ID_EINFACH')
				{
					if (DN <= 80)
					{
						componentEnable('IDC_EINSCHELLIG_CHECK');
						document.getElementById('IDC_EINSCHELLIG_CHECK').checked = true;
						componentDisable('IDC_EINSCHELLIG_CHECK');
					}
					else
					{
						componentEnable('IDC_EINSCHELLIG_CHECK');
						document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
						componentDisable('IDC_EINSCHELLIG_CHECK');
					}
				}
				else
				{
					if ((selectedGleit == 'ID_REIBUNGSARM') && (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == false))
					{
						if (DN <= 40)
						{
							componentEnable('IDC_EINSCHELLIG_CHECK');
							document.getElementById('IDC_EINSCHELLIG_CHECK').checked = true;
							componentDisable('IDC_EINSCHELLIG_CHECK');
						}
						else
						{
							componentEnable('IDC_EINSCHELLIG_CHECK');
							document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
							componentDisable('IDC_EINSCHELLIG_CHECK');
						}
					}
					else
					{
						componentEnable('IDC_EINSCHELLIG_CHECK');
						document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
						componentDisable('IDC_EINSCHELLIG_CHECK');
					}
				}
			}
			else
			{
				if (selectedIso == 'IDC_WAERMEGEDAEMMT')
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					// document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
				}
				else
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
					componentDisable('IDC_EINSCHELLIG_CHECK');
				}
			}
		}

	}
	if ((selectedLart == 'ID_FESTLAGER') && (selectedIso == 'IDC_UNGEDAEMMT'))
	{
		if (DN <= 300)
		{
			if (document.getElementById('IDC_KLEMMBAR_CHECK').checked == true)
			componentEnable('IDC_EINSCHELLIG_CHECK');
			else
			{
				if (document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked == true)
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
					componentDisable('IDC_EINSCHELLIG_CHECK');
				}
			}
		}
		else
		{
			componentEnable('IDC_EINSCHELLIG_CHECK');
			document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
			componentDisable('IDC_EINSCHELLIG_CHECK');
		}
	}
}

function checkbeiClickGleitU()
{
	if (selectedLart == 'ID_LOSLAGER')
	{

		if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == true)
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
			componentDisable('IDC_KLEMMBAR_CHECK');
		}
		else
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
			componentDisable('IDC_KLEMMBAR_CHECK');
		}
	}
	if ((selectedIso == 'IDC_UNGEDAEMMT') && (selectedGleit == 'ID_REIBUNGSARM'))
		{
			if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == false)
			{
				if (DN <= 40)
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					document.getElementById('IDC_EINSCHELLIG_CHECK').checked = true;
					componentDisable('IDC_EINSCHELLIG_CHECK');
				}
				else
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
					componentDisable('IDC_EINSCHELLIG_CHECK');
				}
			}
			else
			{
				componentEnable('IDC_EINSCHELLIG_CHECK');
				document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
				componentDisable('IDC_EINSCHELLIG_CHECK');
			}
		}
}

function checkbeiClickHoehenV()
{
	if (selectedLart == 'ID_FESTLAGER')
	{
		if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked == true)
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
			componentEnable('IDC_SCHRAUBBAR_CHECK');
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
		}
	}
}

function checkbeiClickKlemmbar()
{
	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
	else
		MEDIUMTEMP	= 20

	if (selectedLart == 'ID_FESTLAGER')
	{
		messageFest_klemm_schraub();
		if (document.getElementById('IDC_KLEMMBAR_CHECK').checked == true)
		{
			componentEnable('IDC_SCHRAUBBAR_CHECK');
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;

			if (selectedIso == 'IDC_WAERMEGEDAEMMT')
			{
				if (MEDIUMTEMP <= 300)
				{
					setWert_DN_RAD();
					if ((DN <= 150) || (RAD <= 169))
						componentEnable('IDC_EINSCHELLIG_CHECK');

					componentEnable('IDC_HOEHENVERSTELLUNG_CHECK');
				}
				else
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
					componentDisable('IDC_EINSCHELLIG_CHECK');

					componentEnable('IDC_HOEHENVERSTELLUNG_CHECK');
					document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked = false;
					componentDisable('IDC_HOEHENVERSTELLUNG_CHECK');
				}

			}
			if (selectedIso == 'IDC_UNGEDAEMMT')
			{
				if (DN <= 300)
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
				}
				else
				{
					componentEnable('IDC_EINSCHELLIG_CHECK');
					document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
					componentDisable('IDC_EINSCHELLIG_CHECK');

					componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
					document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked = false;
					componentDisable('IDC_BUEGELAUSFUEHRUNG_CHECK');
				}
			}
		}
	}

}

function checkbeiClickSchraubbar()
{
	if (selectedLart == 'ID_FESTLAGER')
	{
		messageFest_klemm_schraub();
		if (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == true)
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = false;
			componentEnable('IDC_HOEHENVERSTELLUNG_CHECK');
			document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked = false;
			componentDisable('IDC_HOEHENVERSTELLUNG_CHECK');
			componentEnable('IDC_EINSCHELLIG_CHECK');
			document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
			componentDisable('IDC_EINSCHELLIG_CHECK');

			if (selectedIso == 'IDC_UNGEDAEMMT')
			{
			componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked = false;
			componentDisable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			}

               if (selectedIso == 'IDC_VORISOLIERT')
        			document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex = 1;
		}
	}

}

function checkbeiClickBuegel()
{
	if ((selectedLart == 'ID_FESTLAGER') && (selectedIso == 'IDC_UNGEDAEMMT'))
	{
		if (document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked == true)
		{
			componentEnable('IDC_KLEMMBAR_CHECK');
			document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
			componentEnable('IDC_SCHRAUBBAR_CHECK');
			document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
			componentEnable('IDC_EINSCHELLIG_CHECK');
			document.getElementById('IDC_EINSCHELLIG_CHECK').checked = false;
//			componentDisable('IDC_EINSCHELLIG_CHECK');
		}
		else
		{
			componentEnable('IDC_EINSCHELLIG_CHECK');
		}

	}
}

function checkbeiClickEinschellig()
{
	if ((selectedLart == 'ID_FESTLAGER') && (selectedIso == 'IDC_UNGEDAEMMT'))
	{
		if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked == true)
		{
			componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');
			document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked = false;
//			componentDisable('IDC_BUEGELAUSFUEHRUNG_CHECK');
		}
		else
			componentEnable('IDC_BUEGELAUSFUEHRUNG_CHECK');

	}
}

function checkbeiClick_DN_RAD()
{
	checkLagerArt();
	checkGleit();
	checkIsolierung();
	checkHoehenverst();
	checkEinschellig();
	checkGleitunterlage();
	checkBuegelausf();
	checkKlemmbar_Schraubbar();
	checkBild();
}

function messageVorisoliert()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	if (((selectedLart == 'ID_LOSLAGER') || (selectedLart == 'ID_FUEHRUNGSLAGER')) &&
		(selectedGleit == 'ID_EINFACH') && (selectedIso == 'IDC_VORISOLIERT'))
	{
		message=document.getElementById('erroreinfachgleitend').value;
		if(message){ alert(message); }
		document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 1;

		componentEnable('IDC_GLEITUNTERLAGE_CHECK');
		document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked = false;
		componentDisable('IDC_GLEITUNTERLAGE_CHECK');
	}
}

function messageEinfachGleitend()
{
	DerAuswahlweg = document.getElementById('auswahlweg').value
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
	setWert_DN_RAD();

	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
	{
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
	}
         else
         	MEDIUMTEMP	=  20

	if ((selectedLart == 'ID_LOSLAGER') || (selectedLart == 'ID_FUEHRUNGSLAGER') )
	{
		if (selectedGleit == 'ID_EINFACH')
		{
			if ((selectedIso == 'IDC_VORISOLIERT') || (selectedIso == 'IDC_UNGEDAEMMT')
				|| (((selectedIso == 'IDC_WAERMEGEDAEMMT') && (DN <= 500))
					&& ((DerAuswahlweg == 'AUSWAHL_TYP') || ((DerAuswahlweg == 'AUSWAHL_BETRIEB') && (MEDIUMTEMP <= 300 )))))
					{
                         	message=document.getElementById('erroreinfachgleitend').value;
						if(message){ alert(message); }
						document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 1;

						checkHoehenverst();
						checkGleitunterlage();
					}
		}
		else
		{
			if ((selectedGleit == 'ID_REIBUNGSARM') && (selectedIso == 'IDC_WAERMEGEDAEMMT') && ((DerAuswahlweg == 'AUSWAHL_BETRIEB') && (MEDIUMTEMP > 300 )))
				{
					message=document.getElementById('errorreibungsarmgleitend').value;
					if(message){ alert(message); }
					document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 0;

					checkHoehenverst();
					checkGleitunterlage();
				}
		}
	}

	if (FuehrungVorh == 1)
     {
     	if ((selectedGleit == 'ID_EINFACH') && (DN <= 80) && (MEDIUMTEMP <= 300))
		{
          	message=document.getElementById('erroreinfachgleitend').value;
			if(message){ alert(message); }
			document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 1;
		}

          if (selectedGleit == 'ID_REIBUNGSARM')
          {
          	if ((selectedIso == 'IDC_WAERMEGEDAEMMT') && ((DerAuswahlweg == 'AUSWAHL_BETRIEB') && (MEDIUMTEMP > 300 )))
			{
		    		message=document.getElementById('errorreibungsarmgleitend').value;
				if(message){ alert(message); }
				document.getElementById('IDC_GLEIT_COMBO').selectedIndex = 0;
			}
          }
     }

}

function messageFest_klemm_schraub()
{
	if ((document.getElementById('IDC_KLEMMBAR_CHECK').checked == false) &&
			(document.getElementById('IDC_SCHRAUBBAR_CHECK').checked == false))
	{
		message=document.getElementById('errorfest_klemm_schraub').value;
		if(message){ alert(message); }

		componentEnable('IDC_KLEMMBAR_CHECK');
		document.getElementById('IDC_KLEMMBAR_CHECK').checked = true;
		componentEnable('IDC_SCHRAUBBAR_CHECK');
		document.getElementById('IDC_SCHRAUBBAR_CHECK').checked = false;
		checkHoehenverst();
	}
}

function checkBildKlemmsys()
{
	selectedLart = document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').options[document.getElementById('IDC_LAGERART_KLEMMSYS_COMBO').selectedIndex].value;
	selectedPart = document.getElementById('IDC_PROFILART_COMBO').options[document.getElementById('IDC_PROFILART_COMBO').selectedIndex].value;
         selectedTbreit = document.getElementById('IDC_TRAEGERGROESSE_COMBO').options[document.getElementById('IDC_TRAEGERGROESSE_COMBO').selectedIndex].value;
//       alert (selectedPart);
//       alert (selectedTbreit);

	if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK_K').checked == false)
	{
		if ((selectedPart == 'U_PROFIL') || (selectedPart == 'L_PROFIL_G') || (selectedPart == 'L_PROFIL_U'))
		{
			if (selectedPart == 'U_PROFIL')
			{
				if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
					bild = 'B_KZU20.jpg';
				else
					bild = 'B_KOU20.jpg';
			}
			else
			{
				if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
					bild = 'B_KZL20.jpg';
				else
					bild = 'B_KOL20.jpg';
			}
		}
		else
		{
			if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
			{
				if (document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked)
					bild = 'B_KAT20.jpg';
				else
					bild = 'B_KZT20.jpg';
			}
			else
				bild = 'B_KOT20.jpg';
		}
	}
	else
         {
        		if (selectedLart == 'ID_FUEHRUNGSLAGER')
       	  	{
         		if ((selectedPart == 'U_PROFIL') || (selectedPart == 'L_PROFIL_G') || (selectedPart == 'L_PROFIL_U'))
			{
				if (selectedPart == 'U_PROFIL')
				{
					if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
						bild = 'B_KZU40.jpg';
					else
						bild = 'B_KOU40.jpg';
				}
				else
				{
					if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
						bild = 'B_KZL40.jpg';
                                 	else
	                                	bild = 'B_KOL40.jpg';
				}
			}
			else
			{
                      		if (selectedTbreit == 'ID_0')    // T-Profile
                                 {
					if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
					{
						if (document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked)
							bild = 'B_KAT40_1.jpg';
						else
							bild = 'B_KZT40_1.jpg';
					}
			       		else
						bild = 'B_KOT40_1.jpg';
                                 }
                                 else
                                 {
					if (document.getElementById('IDC_ABHEBESICHERUNG_CHECK_K').checked)
					{
						if (document.getElementById('IDC_ABHEBESICHERUNG_4X_CHECK').checked)
							bild = 'B_KAT40_2.jpg';
						else
							bild = 'B_KZT40_2.jpg';
					}
			       		else
						bild = 'B_KOT40_2.jpg';
                         	}
			}
		}
                 else
                 {
         		if ((selectedPart == 'U_PROFIL') || (selectedPart == 'L_PROFIL_G') || (selectedPart == 'L_PROFIL_U'))
			{
				if (selectedPart == 'U_PROFIL')
				{
					bild = 'B_KLU40.jpg';
				}
				else
				{
	                        	bild = 'B_KLL40.jpg';
				}
			}
			else
			{
                         	if (selectedTbreit == 'ID_0')     // T-Profile
					bild = 'B_KLT40_1.jpg';
                                 else
                                 	bild = 'B_KLT40_2.jpg';
			}
		}
	}

// --------------------------------------------------------------------------------------------------------------------------------
	gifpfad = document.getElementById('gifpath').value;
	document.getElementById('IDC_KRAEFTE_IMAGE').src = gifpfad + bild;
}

function checkBild()
{
	selectedLart = document.getElementById('IDC_LAGERART_COMBO').options[document.getElementById('IDC_LAGERART_COMBO').selectedIndex].value;
	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
	selectedGleit = document.getElementById('IDC_GLEIT_COMBO').options[document.getElementById('IDC_GLEIT_COMBO').selectedIndex].value;
         selectedRohrst = document.getElementById('IDC_ROHRST_COMBO').options[document.getElementById('IDC_ROHRST_COMBO').selectedIndex].value;

	if ((selectedLart == 'ID_FUEHRUNG_W2_180') || (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS') || (selectedLart == 'ID_FUEHRUNG_W2_090')
	    || (selectedLart == 'ID_FUEHRUNG_W3') || (selectedLart == 'ID_FUEHRUNG_W4'))
		FuehrungVorh = 1;
	else
		FuehrungVorh = 0;

	if (DerAuswahlweg == 'AUSWAHL_BETRIEB')
	{
		MEDIUMTEMP	= parseFloat(document.getElementById('IDC_VALUE_MEDIUMTEMP').value);
		ISOLIERDICKE 	= parseFloat(document.getElementById('IDC_VALUE_ISOLIERDICKE').value);
	}
	else
		MEDIUMTEMP	= 20

	bild = 'blank.gif';

         if (selectedLart == 'ID_LEER')
         {
         	bild = 'B_Lager_NO.jpg';
         }

         if (selectedLart == 'ID_ROHRSTUETZE')
         {
         	if (selectedRohrst == 'ID_ROHR_GLATT')
                 	bild = 'B_LST01_NO.jpg';
                 else
                 	bild = 'B_LST11_NO.jpg';
         }

	if (selectedLart == 'ID_FESTLAGER')
	{
		setWert_DN_RAD();
		if (selectedIso == 'IDC_WAERMEGEDAEMMT')
		{
			if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked)
			{
				if (document.getElementById('IDC_KLEMMBAR_CHECK').checked)
				{
					if ((DN <= 300) || (RAD <= 324))
					{
						if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
							bild = 'B_FVN01.jpg';
						else
							bild = 'B_FVN02.jpg';
					}
					else
						bild = 'B_FVN03.jpg';
				}
			}
			else
			{
				if (document.getElementById('IDC_KLEMMBAR_CHECK').checked)
				{
					if ((DN <= 300) || (RAD <= 324))
					{
						if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
							bild = 'B_FLN06.jpg';
						else
							if (MEDIUMTEMP > 300)
								bild = 'B_FLN08_WW.jpg';
							else
								bild = 'B_FLN08.jpg';
					}
					else
						if (MEDIUMTEMP > 300)
							bild = 'B_FLN09_WW.jpg';
						else
							bild = 'B_FLN09.jpg';
				}
				else
				{
					if (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked)
					{
						if (DN >= 80)
						{
							if (DN <= 300)
								bild = 'B_FSN01.jpg';
							else if (DN <= 1000)
								bild = 'B_FSN02.jpg';
							else
								bild = 'B_FSN02_NO_1000.jpg';
						}
						else
							bild = 'B_FSN01_NO.jpg';
					}
				}
			}
		}

		if (selectedIso == 'IDC_UNGEDAEMMT')
		{
			if (document.getElementById('IDC_KLEMMBAR_CHECK').checked)
			{
				if (document.getElementById('IDC_BUEGELAUSFUEHRUNG_CHECK').checked)
				{
					if ((DN >= 25) && (DN <= 300))
					{
						if (DN <= 50)
							bild = 'B_FLN01.jpg';
						else
							bild = 'B_FLN02.jpg';
					}
					else
						bild = 'blank.gif';
				}
				else
				{
					if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
					{
						if ((DN >= 20)  && (DN <= 300))
							{
								if (DN <= 40)
									bild = 'B_FLN03.jpg';
								else
								{
									if (DN <= 80)
										bild = 'B_FLN04.jpg';
									else
										bild = 'B_FLN05.jpg';
								}
							}
							else
								bild = 'blank.gif';
					}
					else
					{
						if  (DN <= 600)
							{
								if (DN <= 150)
									bild = 'B_FLN08u.jpg';
								else
									bild = 'B_FLN09u.jpg';
							}
							else
								bild = 'blank.gif';
					}
				}
			}
			else
			{
				if (document.getElementById('IDC_SCHRAUBBAR_CHECK').checked)
				{
					if (DN >= 80)
					{
						if (DN <= 300)
							bild = 'B_FSN01.jpg';
						else if (DN <= 600)
							bild = 'B_FSN02.jpg';
						else
							bild = 'B_FSN02_NO.jpg';
					}
					else
						bild = 'B_FSN01_NO.jpg';
				}
			}
		}

		if (selectedIso == 'IDC_VORISOLIERT')
		{
			if ((document.getElementById('IDC_KLEMMBAR_CHECK').checked) && (MEDIUMTEMP <= 450))
			{
                         	if (DN == 15)
                                         bild = 'B_FLV01_NO.jpg';
				else if (DN <= 65)
				{
					bild = 'B_FLV01.jpg';
				}
				else if (DN <= 600)
				{
					if (MEDIUMTEMP <= 300)
					{
						if (DN == 125)
							bild = 'B_FLV02.jpg';
						else
							bild = 'B_FLV03.jpg';
					}
					else
						bild = 'B_FLV02.jpg';
				}
                                 else
                                 	bild = 'B_FLV02_NO.jpg';
			}
			else
			{
				bild = 'blank.gif';
			}
		}
	}

	if (selectedLart == 'ID_FESTLAGER_D')
	{
		setWert_DN_RAD();
		if (selectedIso == 'IDC_WAERMEGEDAEMMT')
		{
			if (DN >= 80)
			{
				if (DN <= 300)
					bild = 'B_FSD01.jpg';
				else if (DN <= 1000)
					bild = 'B_FSD02.jpg';
				else
					bild = 'B_FSD02_NO_1000.jpg';
			}
			else
				bild = 'B_FSD01_NO.jpg';
		}
		if (selectedIso == 'IDC_UNGEDAEMMT')
		{
			if (DN >= 80)
			{
				if (DN <= 300)
					bild = 'B_FSD01.jpg';
				else if (DN <= 600)
					bild = 'B_FSD02.jpg';
				else
					bild = 'B_FSD02_NO.jpg';
			}
			else
				bild = 'B_FSD01_NO.jpg';
		}

	}

	if (selectedLart == 'ID_LOSLAGER')
	{
		setWert_DN_RAD();
		setWert_DAEMMD();
		if (selectedIso == 'IDC_WAERMEGEDAEMMT')
		{
			if (selectedGleit == 'ID_REIBUNGSARM')
			{
				if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == false)
				{
					if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked)
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
								bild = 'B_LVL01.jpg';
							else
								bild = 'B_LVL02.jpg';
						}
						else
							bild = 'B_LVL03.jpg';
					}
					else
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (ISOLIERDICKE <= 85)
							{
								if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
									bild = 'B_LKL05.jpg';
								else
									bild = 'B_LKL07.jpg';
							}
							else
							{
								if (ISOLIERDICKE <= 170)
								{
									if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
										bild = 'B_LKL051.jpg';
									else
										bild = 'B_LKL071.jpg';
								}
							}
						}
						else
						{
							bild = 'B_LKL09.jpg';
						}
					}
				}
				else
				{
					if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked)
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
								bild = 'B_LVL05.jpg';
							else
								bild = 'B_LVL06.jpg';
						}
						else
							bild = 'B_LVL07.jpg';
					}
					else
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (ISOLIERDICKE <= 85)
							{
								if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
									bild = 'B_LKL11.jpg';
								else
									bild = 'B_LKL13.jpg';
							}
							else
							{
								if (ISOLIERDICKE <= 170)
								{
									if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
										bild = 'B_LKL111.jpg';
									else
										bild = 'B_LKL131.jpg';
								}
							}
						}
						else
						{
							bild = 'B_LKL15.jpg';
						}
					}
				}
			}

			if (selectedGleit == 'ID_EINFACH')
			{
				if (MEDIUMTEMP <= 300)
				{
//					if (ISOLIERDICKE <= 170)
//					{
//						if ((DN <= 300) || (RAD <= 324))
//						{
//							if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
//								bild = 'B_LSL03.jpg';
//							else
//								bild = 'B_LSL04.jpg';
//						}
//						else
//							bild = 'B_LSL05.jpg';
//					}
//					else
//					{
//						bild = 'blank.gif';
//					}

					if (DN <= 800)
					{
						if (ISOLIERDICKE <= 270)
							bild = 'B_LSL05_WW.jpg';
						else
							bild = 'blank.gif';
					}
					else
					{
						if (ISOLIERDICKE <= 270)
							bild = 'B_LSL07_WW.jpg';
						else
							bild = 'blank.gif';
					}
				}
				else
				{
					if (DN <= 300)
					{
						if (ISOLIERDICKE <= 220)
						{
							bild = 'B_LSL04_WW.jpg';
						}
						else
							bild = 'blank.gif';
					}
					else if (DN <= 800)
					{
						if (ISOLIERDICKE <= 270)
							bild = 'B_LSL05_WW.jpg';
						else
							bild = 'blank.gif';
					}
					else
					{
						if (ISOLIERDICKE <= 270)
							bild = 'B_LSL07_WW.jpg';
						else
							bild = 'blank.gif';
					}
				}
			}
		}

		if (selectedIso == 'IDC_UNGEDAEMMT')
		{
			if (selectedGleit == 'ID_REIBUNGSARM')
			{
				if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == true)
				{
					if (DN <= 300)
						bild = 'B_LKL01.jpg';
					else
						bild = 'blank.gif';
				}
				else
				{
					if (DN <= 40)
						bild = 'B_LKL05u.jpg';
					else if (DN <= 150)
						bild = 'B_LKL07u.jpg';
					else if (DN <= 600)
						bild = 'B_LKL09u.jpg';
					else
						bild = 'B_LKL09u_NO.jpg';
				}
			}
			else
			{
				if (DN <= 80)
					bild = 'B_LSL01.jpg';
				else
					bild = 'B_LSL02.jpg';
			}
		}

		if (selectedIso == 'IDC_VORISOLIERT')
		{
			if ((selectedGleit == 'ID_REIBUNGSARM') && (MEDIUMTEMP <= 450))
			{
                         	if (DN == 15)
                                         bild = 'B_IKL01_NO.jpg';
				else if (DN <= 80)
					bild = 'B_IKL01.jpg';
				else if (DN <= 125)
					bild = 'B_IKL02.jpg';
				else if (DN <= 600)
					bild = 'B_IKL03.jpg';
				else
                                 	bild = 'B_IKL03_NO.jpg';
			}
			else
				bild = 'blank.gif';
		}
	}

	if (selectedLart == 'ID_FUEHRUNGSLAGER')
	{
		setWert_DN_RAD();
		setWert_DAEMMD();
		if (selectedIso == 'IDC_WAERMEGEDAEMMT')
		{
			if (selectedGleit == 'ID_REIBUNGSARM')
			{
				if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == false)
				{
					if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked)
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
								bild = 'B_LVG01.jpg';
							else
								bild = 'B_LVG02.jpg';
						}
						else
							bild = 'B_LVG03.jpg';
					}
					else
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (ISOLIERDICKE <= 85)
							{
								if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
									bild = 'B_LKG05.jpg';
								else
									bild = 'B_LKG07.jpg';
							}
							else
							{
								if (ISOLIERDICKE <= 170)
								{
									if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
										bild = 'B_LKG051.jpg';
									else
										bild = 'B_LKG071.jpg';
								}
							}
						}
						else
						{
							bild = 'B_LKG09.jpg';
						}
					}
				}
				else
				{
					if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked)
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
								bild = 'B_LVG05.jpg';
							else
								bild = 'B_LVG06.jpg';
						}
						else
							bild = 'B_LVG07.jpg';
					}
					else
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (ISOLIERDICKE <= 85)
							{
								if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
									bild = 'B_LKG11.jpg';
								else
									bild = 'B_LKG13.jpg';
							}
							else
							{
								if (ISOLIERDICKE <= 170)
								{
									if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
										bild = 'B_LKG111.jpg';
									else
										bild = 'B_LKG131.jpg';
								}
							}
						}
						else
						{
							bild = 'B_LKG15.jpg';
						}
					}
				}
			}

			if (selectedGleit == 'ID_EINFACH')
			{
				if (MEDIUMTEMP <= 300)
				{
					if (ISOLIERDICKE <= 170)
					{
						if ((DN <= 300) || (RAD <= 324))
						{
							if (document.getElementById('IDC_EINSCHELLIG_CHECK').checked)
								bild = 'B_LSG03.jpg';
							else
								bild = 'B_LSG04.jpg';
						}
						else
							bild = 'B_LSG05.jpg';
					}
					else
					{
						bild = 'blank.gif';
					}
				}
				else
				{
					if ((DN <= 300) || (RAD <= 324))
						if (ISOLIERDICKE <= 220)
							bild = 'B_LSG04_WW.jpg';
						else
							bild = 'blank.gif';
					else
						if (ISOLIERDICKE <= 270)
							bild = 'B_LSG05_WW.jpg';
						else
							bild = 'blank.gif';
				}
			}
		}

		if (selectedIso == 'IDC_UNGEDAEMMT')
		{
			if (selectedGleit == 'ID_REIBUNGSARM')
			{
				if (document.getElementById('IDC_GLEITUNTERLAGE_CHECK').checked == true)
				{
					if (DN <= 80)
						bild = 'B_LKG01.jpg';
					else
					{
						if (DN <= 300)
							bild = 'B_LKG02.jpg';
						else
							bild = 'blank.gif';
					}
				}
				else
				{
					if (DN <= 40)
						bild = 'B_LKG05u.jpg';
					else
					{
					if (DN <= 40)
						bild = 'B_LKG05u.jpg';
					else if (DN <= 150)
						bild = 'B_LKG07u.jpg';
					else if (DN <= 600)
						bild = 'B_LKG09u.jpg';
					else
						bild = 'blank.gif';
					}
				}
			}
		}

		if (selectedIso == 'IDC_VORISOLIERT')
		{
			if ((selectedGleit == 'ID_REIBUNGSARM') && (MEDIUMTEMP <= 450))
			{
                         	if (DN == 15)
                                         bild = 'B_IKG01_NO.jpg';
				else if (DN <= 80)
					bild = 'B_IKG01.jpg';
				else if (DN <= 125)
					bild = 'B_IKG02.jpg';
				else if (DN <= 600)
					bild = 'B_IKG03.jpg';
				else
                                 	bild = 'B_IKG03_NO.jpg';
			}
			else
				bild = 'blank.gif';
		}
	}

	if (FuehrungVorh == 1)
	{
		if (selectedGleit == 'ID_REIBUNGSARM')
		{
			if (selectedLart == 'ID_FUEHRUNG_W2_180')
			{
				if (DN < 40)
					bild = 'B_LKF21_1_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LKF21_1.jpg';
				else if (DN <= 200)
					bild = 'B_LKF21_1.jpg';
				else if (DN <= 800)
					bild = 'B_LKF23.jpg';
				else
					bild = 'B_LKF23_NO.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS')
			{
				if (DN < 40)
					bild = 'B_LKF51_1_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LKF51_1.jpg';
				else if (DN <= 200)
					bild = 'B_LKF51_1.jpg';
				else if (DN <= 800)
					bild = 'B_LKF53.jpg';
				else
					bild = 'B_LKF53_NO.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W2_090')
			{
				if (DN < 40)
					bild = 'B_LKF61_1_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LKF61_1.jpg';
				else if (DN <= 200)
					bild = 'B_LKF61_1.jpg';
				else if (DN <= 800)
					bild = 'B_LKF63.jpg';
				else
					bild = 'B_LKF63_NO.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W3')
			{
				if (DN < 40)
					bild = 'B_LKF31_1_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LKF31_1.jpg';
				else if (DN <= 200)
					bild = 'B_LKF31_1.jpg';
				else if (DN <= 800)
					bild = 'B_LKF33.jpg';
				else
					bild = 'B_LKF33_NO.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W4')
			{
				if (DN < 40)
					bild = 'B_LKF41_1_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LKF41_1.jpg';
				else if (DN <= 200)
					bild = 'B_LKF41_1.jpg';
				else if (DN <= 800)
					bild = 'B_LKF43.jpg';
				else
					bild = 'B_LKF43_NO.jpg';
			}
		}
		if (selectedGleit == 'ID_EINFACH')
		{
			if (selectedLart == 'ID_FUEHRUNG_W2_180')
			{
				if (DN < 40)
					bild = 'B_LSF21_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LSF21.jpg';
				else if (DN <= 600)
					bild = 'B_LSF23.jpg';
				else
					bild = 'B_LSF24_2.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W2_180_PLUS')
			{
				if (DN < 40)
					bild = 'B_LSF51_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LSF51.jpg';
				else if (DN <= 600)
					bild = 'B_LSF53.jpg';
				else
					bild = 'B_LSF53_NO.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W2_090')
			{
				if (DN < 40)
					bild = 'B_LSF61_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LSF61.jpg';
				else if (DN <= 600)
					bild = 'B_LSF63.jpg';
				else
					bild = 'B_LSF64_2.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W3')
			{
				if (DN < 40)
					bild = 'B_LSF31_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LSF31.jpg';
				else if (DN <= 600)
					bild = 'B_LSF33.jpg';
				else
					bild = 'B_LSF34_2.jpg';
			}
			else if (selectedLart == 'ID_FUEHRUNG_W4')
			{
				if (DN < 40)
					bild = 'B_LSF41_NO.jpg';
				else if (DN <= 80)
					bild = 'B_LSF41.jpg';
				else if (DN <= 600)
					bild = 'B_LSF43.jpg';
				else
					bild = 'B_LSF44_2.jpg';
			}
		}
	}

	if (MEDIUMTEMP > 600)
		bild = 'blank.gif';

// *****************************************************************************
   	gifpfad = document.getElementById('gifpath').value;
	document.getElementById('IDC_KRAEFTE_IMAGE').src = gifpfad + bild;
}

//function messageHoehenverst()
//{
//	if (document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked)
//	{
//		message=document.getElementById('errorhoehenverst').value;
//		if(message){ alert(message); }
//		document.getElementById('IDC_HOEHENVERSTELLUNG_CHECK').checked = false;
//	}
//}

function messageDaemm()
{
	DerAuswahlweg = document.getElementById('auswahlweg').value;
	if (DerAuswahlweg == 'AUSWAHL_TYP')
		return;

	if (ISOLIERDICKE > 170)
	{
		message=document.getElementById('errordaemm170').value;
		if(message){ alert(message); }
	}
	if ((selectedIso == 'IDC_WAERMEGEDAEMMT') && (ISOLIERDICKE == 0))
	{
		message=document.getElementById('errordaemm0').value;
		if(message){ alert(message); }
	}
}

function checkIsoDicke()
{
	DerAuswahlweg = document.getElementById('auswahlweg').value;
	if (DerAuswahlweg == 'AUSWAHL_TYP')
		return;

	selectedTemp = document.getElementById('IDC_MEDIUMTEMP_EINHEIT_COMBO').options[document.getElementById('IDC_MEDIUMTEMP_EINHEIT_COMBO').selectedIndex].value;
	// 'C' alert(selectedTemp);

	if (selectedTemp != 'C')
		return;

//	if (document.getElementById('IDC_ISOLIERDICKE_EDIT').value != 0)
//		ISOLIERDICKE = document.getElementById('IDC_ISOLIERDICKE_EDIT').value;
//		return;

//	selectedIso = document.getElementById('IDC_ISOLIERUNG_COMBO').options[document.getElementById('IDC_ISOLIERUNG_COMBO').selectedIndex].value;
//	if (selectedIso != 'IDC_WAERMEGEDAEMMT')
//		return;

//	DN = document.getElementById('IDC_NENNWEITE_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].value;
//	DN = DN.replace(/ID_/,'');
//	alert(DN);


	MEDIUMTEMP = parseFloat(document.getElementById('IDC_MEDIUMTEMP_EDIT').value);
	ISOLIERDICKE = document.getElementById('IDC_ISOLIERDICKE_EDIT').value;
//	alert(ISOLIERDICKE);
//	alert(MEDIUMTEMP);

//	if (MEDIUMTEMP <= 50)
//		return;

//	if (MEDIUMTEMP > 300)
//	{
//		message=document.getElementById('errortemperatur300').value;
//		if(message){ alert(message); }
//	}

//	dJ = (14.712 + 0.1132 * MEDIUMTEMP) * Math.log (DN) - (24.625 + 0.2557 * MEDIUMTEMP);
//	alert(dJ);

//	dResult = dJ / 10.0;
//	dResult = Math.round(dResult);
//	dResult = dResult * 10;

//	document.getElementById('IDC_ISOLIERDICKE_EDIT').value = dResult;
	document.getElementById('IDC_ISOLIERDICKE_EINHEIT_COMBO').selectedIndex = 0;

//	if (dResult > 170)
//	if (ISOLIERDICKE > 170)
//	{
//		message=document.getElementById('errordaemm170').value;
//		if(message){ alert(message); }
//	}


}